Debian Bug report logs - #629190
pu: package samba/2:3.5.6~dfsg-3squeeze4

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sat, 4 Jun 2011 11:51:01 UTC

Severity: normal

Tags: confirmed, squeeze

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-samba-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#629190; Package release.debian.org. (Sat, 04 Jun 2011 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-samba-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 04 Jun 2011 11:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package samba/2:3.5.6~dfsg-3squeeze4
Date: Sat, 04 Jun 2011 13:47:59 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

The attached two patches, proposed for s-p-u help fixing two bugs
which I consider worth for stable:

  * Document the newly introduced "map untrusted to domain" parameter
    and its default value that can lead to disruptive behavioral
    changes when upgrading from pre-3.5 versions.
    Closes: #623190

  * Fix "tdb2.so undefined symbol: dyn_get_STATEDIR" by
    fixing a typo in fhs-filespath.patch. Closes: #629183, LP: #789097


The former would indeed have been better in the first release in
squeeze but the suggestion came after the release. So let's at least
warn those people who haven't upgraded yet.

The latter was originally reported in Launchpad, then we (Debian
maintainers) were pointed at the problem. The fix is really trivial
but mandatory for using TDB2 as storage backend for samba data files.
And this is indeed a very trivial change to fix a really stupid mistake.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[patch-623190 (text/x-diff, attachment)]
[patch-629183 (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#629190; Package release.debian.org. (Wed, 08 Jun 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 08 Jun 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 629190@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian Perrier <bubulle@debian.org>, 629190@bugs.debian.org
Subject: Re: Bug#629190: pu: package samba/2:3.5.6~dfsg-3squeeze4
Date: Wed, 08 Jun 2011 20:11:23 +0100
tag 629190 + squeeze confirmed
thanks

On Sat, 2011-06-04 at 13:47 +0200, Christian Perrier wrote:
> The attached two patches, proposed for s-p-u help fixing two bugs
> which I consider worth for stable:
> 
>   * Document the newly introduced "map untrusted to domain" parameter
>     and its default value that can lead to disruptive behavioral
>     changes when upgrading from pre-3.5 versions.
>     Closes: #623190
> 
>   * Fix "tdb2.so undefined symbol: dyn_get_STATEDIR" by
>     fixing a typo in fhs-filespath.patch. Closes: #629183, LP: #789097

Please go ahead, although without the changelog being UNRELEASED. :-)

Regards,

Adam





Added tag(s) squeeze and confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 08 Jun 2011 19:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#629190; Package release.debian.org. (Sat, 11 Jun 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 Jun 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 629190@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 629190@bugs.debian.org
Subject: Re: Bug#629190: pu: package samba/2:3.5.6~dfsg-3squeeze4
Date: Sat, 11 Jun 2011 21:23:53 +0200
[Message part 1 (text/plain, inline)]
Quoting Adam D. Barratt (adam@adam-barratt.org.uk):
> tag 629190 + squeeze confirmed
> thanks
> 
> On Sat, 2011-06-04 at 13:47 +0200, Christian Perrier wrote:
> > The attached two patches, proposed for s-p-u help fixing two bugs
> > which I consider worth for stable:
> > 
> >   * Document the newly introduced "map untrusted to domain" parameter
> >     and its default value that can lead to disruptive behavioral
> >     changes when upgrading from pre-3.5 versions.
> >     Closes: #623190
> > 
> >   * Fix "tdb2.so undefined symbol: dyn_get_STATEDIR" by
> >     fixing a typo in fhs-filespath.patch. Closes: #629183, LP: #789097
> 
> Please go ahead, although without the changelog being UNRELEASED. :-)


samba 2:3.5.6~dfsg-3squeeze4  just got uploaded to s-p-u today...

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#629190; Package release.debian.org. (Sat, 11 Jun 2011 19:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 Jun 2011 19:33:10 GMT) Full text and rfc822 format available.

Message #22 received at 629190@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 629190@bugs.debian.org
Subject: Re: Bug#629190: pu: package samba/2:3.5.6~dfsg-3squeeze4
Date: Sat, 11 Jun 2011 20:29:51 +0100
tag 629190 + pending
thanks

On Sat, 2011-06-11 at 21:23 +0200, Christian PERRIER wrote:
> Quoting Adam D. Barratt (adam@adam-barratt.org.uk):
> > Please go ahead, although without the changelog being UNRELEASED. :-)
> 
> 
> samba 2:3.5.6~dfsg-3squeeze4  just got uploaded to s-p-u today...

...and I flagged it for acceptance earlier this afternoon, I just hadn't
updated the bug status; doing so now.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 11 Jun 2011 19:33:11 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to Christian Perrier <bubulle@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:47:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:35:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.